
%global meadversion 1.4.4
%global namedversion 1.4.4.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 3

%bcond_without mead

%bcond_with bin
%bcond_with javadoc

%define maven_version 1.4.4.redhat-2

Name:           openws
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OpenWS
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: openws-1.4.4.redhat-2-scm-sources.zip
Source101: openws-1.4.4.redhat-2-patches.zip
Source102: openws-1.4.4.redhat-2.pom
Source103: openws-1.4.4.redhat-2-bin.zip
Source104: openws-1.4.4.redhat-2-bin.tar.gz
Source105: openws-1.4.4.redhat-2-sources.jar
Source106: openws-1.4.4.redhat-2.jar
Source107: openws-1.4.4.redhat-2-test-javadoc.jar
Source108: openws-1.4.4.redhat-2-javadoc.jar
%endif

URL:            http://www.opensaml.org/
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       shibboleth-parent >= 0:3
%endif
Requires:       xmltooling >= 0:1.3.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/openws-%{namedversion}-%{release}-root

%description
The OpenWS library provides a growing set of tools to work with web services at
a low level. These tools include classes for creating and reading SOAP
messages, transport-independent clients for connecting to web services,
and various transports for use with those clients.

%if %with javadoc
%package -n openws-javadoc
Summary:        Javadoc for openws
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n openws-javadoc
%{summary}.
%endif

%prep
%setup -q -n java-openws -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/openws-%{namedversion}.jar %{buildroot}%{_javadir}/openws-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/openws-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/openws-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/openws-%{namedversion}-test-javadoc.jar %{buildroot}%{_javadir}/openws-%{namedversion}-test-javadoc.jar
%{__cp} -p %{_sourcedir}/openws-%{namedversion}-sources.jar %{buildroot}%{_javadir}/openws-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/openws-%{namedversion}-bin.tar.gz %{buildroot}%{_javadir}/openws-%{namedversion}-bin.tar.gz
%{__cp} -p %{_sourcedir}/openws-%{namedversion}-bin.zip %{buildroot}%{_javadir}/openws-%{namedversion}-bin.zip
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/openws-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-openws.pom

# depmaps
%add_to_maven_depmap org.opensaml openws %{namedversion} JPP openws
[ %{name} = "openws" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/openws

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/openws-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/openws-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/openws-%{namedversion} -x META-INF/\*
%{__ln_s} openws-%{namedversion} %{buildroot}%{_javadocdir}/openws
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n openws
%update_maven_depmap

%postun -n openws
%update_maven_depmap

%files -n openws
%defattr(0644,root,root,0755)
%doc doc/CREDITS.txt doc/LICENSE.txt doc/README.txt doc/RELEASE-NOTES.txt
%{_javadir}/openws-%{namedversion}.jar
%{_javadir}/openws.jar
%exclude %{_javadir}/openws-%{namedversion}-javadoc.jar
%exclude %{_javadir}/openws-javadoc.jar
%exclude %{_javadir}/openws-%{namedversion}-test-javadoc.jar
%exclude %{_javadir}/openws-test-javadoc.jar
%{_javadir}/openws-%{namedversion}-sources.jar
%{_javadir}/openws-sources.jar
%if %without bin
%exclude %{_javadir}/openws-%{namedversion}-bin.tar.gz
%exclude %{_javadir}/openws-bin.tar.gz
%exclude %{_javadir}/openws-%{namedversion}-bin.zip
%exclude %{_javadir}/openws-bin.zip
%endif
%{_mavenpomdir}/JPP-openws.pom
%{_mavendepmapfragdir}/openws

%if %with javadoc
%files -n openws-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/openws-%{namedversion}
%{_javadocdir}/openws
%{_javadir}/openws-%{namedversion}-javadoc.jar
%{_javadir}/openws-javadoc.jar
%{_javadir}/openws-%{namedversion}-test-javadoc.jar
%{_javadir}/openws-test-javadoc.jar
%endif

%changelog
* Tue Jun 10 2014 Permaine Cheung <pcheung@redhat.com> - 1.4.4-3.redhat_2.1
- Rewrap to remove R: joda-time for RHEL 7 install

* Wed Sep 18 2013 David Walluck <dwalluck@redhat.com> 0:1.4.4-2
- disable javadoc
- add bin option

* Fri Sep 06 2013 David Walluck <dwalluck@redhat.com> 0:1.4.4-1
- 1.4.4

* Mon Aug 12 2013 Paul Gier <pgier@redhat.com> 0:1.4.2-10
- Update pom dependencies

* Mon Apr 22 2013 David Walluck <dwalluck@redhat.com> 0:1.4.2-9
- add tars to RPM

* Mon Apr 22 2013 David Walluck <dwalluck@redhat.com> 0:1.4.2-8
- add zips to RPM
- add docs to RPM
- convert to MEAD
- rerun vman
- move javadoc jars to javadoc subpackage
- bump Release to -redhat-3

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:1.4.2-7
- build javadoc and sources jars
- exclude javadoc jar
- include source jar

* Thu Sep 13 2012 David Walluck <dwalluck@redhat.com> 0:1.4.2-6
- disable tests (disables spring 2.x build dependency)
- remove xerces groupId and version properties from pom.xml
- update xerces groupId in pom and assembly xml

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.4.2-5_redhat_2
- Update pom for eap 6.0.1 parent and boms

* Mon May 14 2012 David Walluck <dwalluck@redhat.com> 0:1.4.2-4
- remove xml runtime deps from Requires and pom.xml
- add back .zip artifact to mead repo
- fix Release

* Fri May 11 2012 David Walluck <dwalluck@redhat.com> 0:1.4.2-3
- commons-httpclient is optional
- commons-codec is not even used
- use jboss-servlet-api_3.0_spec
- spring2 is not a requies as it's marked provided
- fix bad use of jpp depmap leading to invalid pom
- fix repolib file ownership
- fix javadoc requires

* Mon Nov 21 2011 Yong Yang <yyang@redhat.com> 1.4.2-2_redhat_1
- Build for Werewolf

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 1.4.2-1
- Upgrade to 1.4.2

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 1.4.1-3
- Do not create backup file because the file will be packed into src zip

* Fri Oct 21 2011 Yong Yang <yyang@redhat.com> 1.4.1-2
- Comment dependencySets in assembly src.xml, tar.gz only

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> 1.4.1-1
- Upgrade 1.4.1
- Add repolib

* Fri Jul 10 2009 David Walluck <dwalluck@redhat.com> 0:1.2.2-2
- spec cleanup

* Tue Jun 16 2009 Ralph Apel <r.apel@r-apel.de> - 0:1.2.2-1.jpp5
- first release
